Bug 1982741 - Filtered Flathub Applications
Summary: Filtered Flathub Applications
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On: 1989360 2011274
Blocks: F35Changes
TreeView+ depends on / blocked
 
Reported: 2021-07-15 15:12 UTC by Ben Cotton
Modified: 2021-11-02 16:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-02 16:03:44 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-07-15 15:12:57 UTC
This is a tracking bug for Change: Filtered Flathub Applications
For more details, see: https://fedoraproject.org/wiki/Changes/Filtered_Flathub_Applications

Enabling third-party repositories will now create a Flathub remote that is a filtered view of Flathub.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2021-08-10 12:32:49 UTC
Today is the "Code complete (testable)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is complete enough to be tested, please indicate this by setting this bug to the MODIFIED status. (If it is 100% complete, you can set it to ON_QA).

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton@redhat.com.

Comment 2 Neal Gompa 2021-08-10 15:06:53 UTC
(In reply to Ben Cotton from comment #1)
> Today is the "Code complete (testable)" deadline in the Fedora Linux 35
> release schedule:
> https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html
> 
> If this Change is complete enough to be tested, please indicate this by
> setting this bug to the MODIFIED status. (If it is 100% complete, you can
> set it to ON_QA).
> 
> If you wish to defer this Change to Fedora Linux 36, please needinfo
> bcotton@redhat.com.

The package review is expected to be wrapped up today and it'll land tonight. It was delayed because of Nest.

Comment 3 Owen Taylor 2021-08-16 13:07:17 UTC
Basic testing:

 sudo dnf install fedora-flathub-remote
 sudo fedora-third-party enable
 flatpak remote-ls flathub

Remaining Todo:
 * Get this installed by default for Rawhide
 * Get the UI pieces in place (part of the fedora-third-party change - the necessary changes are upstream in gnome-initial-setup and gnome-software)
 * Increase the set of included applications slightly (we plan to include all appropriate candidate from the 50 most popular Flathub applications)

Comment 4 Ben Cotton 2021-08-25 20:58:43 UTC
On Tuesday, 24 August we reached the Change Checkpoint: Completion deadline (100% complete). At this milestone all the F35 Changes should be fully complete, which is indicated by "ON_QA" status of a tracking bug.

If you wish to defer this Change to F36, please needinfo bcotton@redhat.com

Comment 5 Neal Gompa 2021-08-25 22:21:37 UTC
This has been implemented with GNOME 41 Beta landing in F35+.

Comment 6 Kamil Páral 2021-10-06 10:25:10 UTC
I filed bug 2011274 because this Change seems unfinished.

Comment 7 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.


Note You need to log in before you can comment on or make changes to this bug.